/* A0MutexThreadState.h
 *
 *
 * 19980523 BS creation
 */

#import "A0State.h"

@class A0bMutex, A0bThread;

// Possible States
extern NSString *PHoldingMutex;
extern NSString *PWaitingMutex;

@interface A0MutexThreadState : A0State
{
}

+ (NSArray *)allNames;
+ (A0MutexThreadState *)holdingStateWithMutex:(A0bMutex *)m
                                       thread:(A0bThread *)t;
+ (A0MutexThreadState *)waitingStateWithMutex:(A0bMutex *)m
                                       thread:(A0bThread *)t;
- initWithName:(NSString *)name mutex:(A0bMutex *)m thread:(A0bThread *)t;
- (NSString *)entityType;
- (void)setMutex:(A0bMutex *)mutex;
@end