/* A0bGlobalId.h created by benhur on 27.apr.1998 */
// holds a global identifier, consisting of a node id and an
// id local to the node.
// used to identify threads, semaphores, mutexes

#import <Foundation/Foundation.h>
#import "../General.bproj/PajeContainer.h"

@interface xA0bGlobalId : PajeContainer <NSCopying, NSCoding>
{
}

+ (xA0bGlobalId *)globalIdWithNodeId:(id)node localId:(id)local;
- (id)initWithNodeId:(id)node localId:(id)local;
- (void)dealloc;

- (id)localId;
- (id)nodeId;

// NSCopying Protocol
- (id)copyWithZone:(NSZone *)zone;

// NSCoding Protocol
- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;
@end

