/* A0bSemaState.h created by benhur on Thu 22-May-1997 */

#import "A0bState.h"

extern NSString *PSemaBlocked;
extern NSString *PSemaUnblocked;
extern NSString *PSemaBlockable;

@interface A0bSemaState : A0bState
{
}

+ (NSString *)name;
+ (id)entityType;

+ (NSMutableDictionary *)defaultColorDict;
+ (NSMutableDictionary *)colorDict;
+ (void)setColorDict:(id)dict;

- (id)entityType;

- (void)setValue:(id)value;
- (void)setSemaphore:(id)semaId;
- (void)setMutex:(id)mutexId;

// temporary, for compatibility with thread states
- (id)thread;
- (id)service;
@end
