#import "A0bStateInspector.h"

@implementation A0bStateInspector
- (void)addLocalFields
{
    NSBox *box;

    // thread id
    box = [self boxWithTitle:@"Thread Identification"
                 fieldTitles:[NSArray arrayWithObjects:@"Node", @"Thread", @"Service", nil]
                 fieldValues:[NSArray arrayWithObjects:[inspectedEntity node], [inspectedEntity thread], [inspectedEntity service], nil]];
    [self addSubview:box atBottom:NO];

    // timing
    box = [self boxWithTitle:@"Timing"
                 fieldTitles:[NSArray arrayWithObjects:@"Start", @"End", @"Duration", nil]
                 fieldValues:[NSArray arrayWithObjects:[inspectedEntity startTime], [inspectedEntity endTime], [inspectedEntity duration], nil]];
    [self addSubview:box atBottom:NO];
}
@end
