/* FilteredEnumerator.h created by benhur on Sat 14-Jun-1997 */

#import <Foundation/Foundation.h>

@interface FilteredEnumerator : NSEnumerator
{
    NSEnumerator *originalEnumerator;
    NSSet *filter;
    SEL selector;
}
- (id)initWithEnumerator:(NSEnumerator *)orgEnum filter:(NSSet *)names;
- (id)initWithEnumerator:(NSEnumerator *)orgEnum filter:(NSSet *)names selector:(SEL)sel;
- (void)dealloc;
- (id)nextObject;

@end
