//
// Macros.h
//
// some useful macros
//

#define Assign(variable, value)            \
    do {                                         \
        id newvalue = (value);                   \
        if (variable != newvalue) {              \
            if (variable) [variable release];    \
            variable = newvalue;                 \
            if (variable) [variable retain];     \
        }                                        \
    } while (0)

