//
// PajeContainer
//
// superclass for containers
//

#import <Foundation/Foundation.h>
#import "PajeEntity.h"

@interface PajeContainer : PajeEntity
{
    NSMutableArray *subContainers;
}

+ (PajeContainer *)containerWithType:(id)type
                                name:(NSString *)n
                           container:(PajeContainer *)newcontainer;

- (void)addSubContainer:(PajeContainer *)subcontainer;
- (BOOL)isContainer;
@end
