//
// MultiContainer
//
// a container that represents many ather containers
// as in a thread that represents the many threads that do not overlap in time.
//

#import <Foundation/Foundation.h>
#import "../General.bproj/PajeContainer.h"

@interface MultiContainer : NSObject
{
    NSMutableArray *containers;
}

+ (MultiContainer *)container;
- (id)init;
- (void)dealloc;

- (void)addContainer:(PajeContainer *)container;
- (NSEnumerator *)containerEnumerator;

- (BOOL)conflictsWithContainer:(PajeContainer *)container;

- (NSDate *)startTime;
- (NSDate *)endTime;

- (unsigned int)hash;
- (BOOL)isEqual:(id)other;
@end
