/* VTNode.h created by benhur on Thu 21-Aug-1997 */

#import <Foundation/Foundation.h>
#import "VTService.h"
#import "VirtualThread.h"
#import "../General.bproj/TranslationTable.h"

@interface VTNode : NSObject
{
    TranslationTable *serviceTable;  // translates between a service and its index in services
    NSMutableArray *services;
    int threadCount;
    filterType filteringMode;
}

+ (VTNode *)node;
- (id)init;

- (filterType)filteringMode;
- (void)setFilteringMode:(filterType)mode;

- (int)threadCount;
- (void)startThread:(id)threadId
            service:(id)service;
- (void)endThread:(id)threadId
          service:(id)service;
- (int)slotForThread:(id)threadId
             service:(id)service;
@end
