//
// DataScanner
//
// scans an NSData
//

#import <Foundation/Foundation.h>
#import "../General.bproj/Macros.h"

@interface DataScanner : NSObject
{
    NSData *data;
    int position;
}

+ (DataScanner *)scannerWithData:(NSData *)_data;
- (id)initWithData:(NSData *)_data;

- (unsigned)position;
- (void)setPosition:(unsigned)_position;

- (int)readChar;
- (NSNumber *)readIntNumber;
- (NSNumber *)readDoubleNumber;
- (double)readDouble;
- (NSString *)readString;

- (BOOL)isAtEnd;

@end
