
#import <AppKit/AppKit.h>
#import "../General.bproj/Protocols.h"
#import "../General.bproj/PajeEntity.h"

@interface A0Entity : PajeEntity
{
    NSMutableArray *relatedEntities;
}
- (NSArray *)relatedEntities;
- (void)addRelatedEntity:(id)entity;
- (void)removeRelatedEntity:(id)entity;

- (id)duration;

- (id)node;
- (id)thread;
- (id)service;

- (id)sourceNode;
- (id)sourceThread;
- (id)sourceService;
- (id)destNode;
- (id)destThread;
- (id)destService;

- (void)inspect;
@end
