#import "A0bCommInspector.h"
#import "A0Comm.h"

@implementation A0bCommInspector
- (void)addLocalFields
{
    NSBox *box;
    A0Comm *inspectedComm = inspectedEntity;

    // source thread id
    box = [self boxWithTitle:@"Source Identification"
                 fieldTitles:[NSArray arrayWithObjects:@"Node", @"Thread", @"Service", nil]
                 fieldValues:[NSArray arrayWithObjects:[inspectedComm sourceNode], [inspectedComm sourceThread], [inspectedComm sourceService], nil]];
    [self addSubview:box atBottom:NO];

    // dest thread id
    box = [self boxWithTitle:@"Destination Identification"
                 fieldTitles:[NSArray arrayWithObjects:@"Node", @"Thread", @"Service", nil]
                 fieldValues:[NSArray arrayWithObjects:[inspectedComm destNode], [inspectedComm destThread], [inspectedComm destService], nil]];
    [self addSubview:box atBottom:NO];

    // timing
    box = [self boxWithTitle:@"Timing"
                 fieldTitles:[NSArray arrayWithObjects:@"Start", @"End", @"Duration", nil]
                 fieldValues:[NSArray arrayWithObjects:[inspectedComm startTime], [inspectedComm endTime], [inspectedComm duration], nil]];
    [self addSubview:box atBottom:NO];
}
@end
