/* A0bState.h
 *
 *
 * 19970224 BS creation
 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

#import "A0Event.h"

// Possible States
extern NSString *PThreadRunnable;
extern NSString *PThreadBlocked;
extern NSString *PThreadBlockedSend;
extern NSString *PThreadBlockedReceive;
extern NSString *PThreadBlockedWaitRequest;
extern NSString *PThreadBlockedSema;
extern NSString *PThreadBlockedMutex;
extern NSString *PThreadBlockedJoin;

@interface A0bState : A0bEvent <PajeState>
{
}


+ (NSArray *)allNames;
+ (A0bState *)stateWithName:(NSString *)name;
- (id)initWithName:(NSString *)name;
- (id)initWithObjects:(id*)objects
              forKeys:(id*)keys
                count:(unsigned int)count;
- (NSString *)entityType;

- (void)setStartTime:(id)o;
- (void)setEndTime:(id)o;
@end