//
// UserEvent
//
// holds a user-definable event
//

#import "../A0bReader.bproj/A0Event.h"
#import "../General.bproj/PajeEntity.h"
#import "../General.bproj/PajeEntityInspector.h"
#import "../General.bproj/PajeType.h"


@interface UserEvent : PajeEntity
{
    A0Event *event;
}

+ (UserEvent *)eventWithType:(PajeEntityType *)type
                        name:(id)n
                   container:(PajeContainer *)c
                       event:(A0Event *)e;
- (id)initWithType:(PajeEntityType *)type
              name:(id)n
         container:(PajeContainer *)c
             event:(A0Event *)e;
- (void)dealloc;

- (NSDate *)time;

- (NSString *)description;
@end

@interface UserEventInspector : PajeEntityInspector
@end
