//
// UserState
//
// holds a user-definable state
//

#import "UserEvent.h"

@interface UserState : UserEvent
{
    A0Event *endEvent;
    int imbricationLevel;
}

+ (UserState *)stateOfType:(PajeEntityType *)type
                     value:(id)v
                 container:(PajeContainer *)c
                startEvent:(A0Event *)e;
- (id)initWithType:(PajeEntityType *)type
             value:(id)v
         container:(PajeContainer *)c
        startEvent:(A0Event *)e;
- (void)dealloc;

- (void)setEndEvent:(A0Event *)event;

- (id)value;

- (NSDate *)endTime;

- (void)setImbricationLevel:(int)level;
- (int)imbricationLevel;
@end

@interface UserStateInspector : UserEventInspector
@end
