//

#import <Foundation/Foundation.h>
#import "../General.bproj/PajeFilter.h"
#import "../General.bproj/Protocols.h"

@interface Encapsulate : PajeFilter
{
    BOOL                 traceChanged;
    BOOL                 timerActive;

    NSDate              *startTime;
    NSDate              *endTime;
    NSDate              *startTimeInMemory;
    NSDate              *endTimeInMemory;

    NSMutableDictionary *entityLists;   // dictionary (by entity type) of
                                        // dictionaries (by container) of
                                        // TimeList's of entities

    NSMutableDictionary *entityTypeToInstances;
    NSMutableDictionary *entityTypeToClass;

    MiscTree            *hierarchyTree;
    id                   rootInstance;
}

- (void)send;
- (void)timeElapsed:(id)sender;

- (void)addEntity:(id<PajeEntity>)entity;
- (void)_addToHierarchyTree:(id)entity;

@end
