/* Comparing.m created by benhur on Thu 21-Aug-1997 */

#import "Comparing.h"

@implementation NSNumber (Comparing)
- (BOOL)isDifferent:(id)obj
{
    return ([self compare:obj] != NSOrderedSame);
}

- (BOOL)isGreaterThan:(id)obj
{
    return ([self compare:obj] == NSOrderedDescending);
}

- (BOOL)isLessThan:(id)obj
{
    return ([self compare:obj] == NSOrderedAscending);
}

- (BOOL)isGreaterOrEqual:(id)obj
{
    return ([self compare:obj] != NSOrderedAscending);
}

- (BOOL)isLessOrEqual:(id)obj
{
    return ([self compare:obj] != NSOrderedDescending);
}
@end
