//
// FoundationAdditions.h
//
// Some methods that are not declared or that are added as categories
// to some foundation classes.
//

#import <Foundation/Foundation.h>

#import "NSObject+Additions.h"
#import "NSString+Additions.h"
#import "NSMatrix+Additions.h"
#import "NSDate+Additions.h"

@interface NSBundle (UndeclaredMethods)
// this method is defined in Openstep/Rhapsody, it exists in OS4.1, but
// is not declared
- (void)load;
@end
