// UniqueString.h
//
// Strings of this class are uniqued, all equal instances are the same object.
//

#import <Foundation/NSString.h>

@interface UniqueString : NSString
{
    NSString *string;
}

+ (UniqueString *)stringWithString:(NSString *)s;

// primitive methods
- (unsigned int)length;			
- (unichar)characterAtIndex:(unsigned)index;

// NSObject protocol
- (BOOL)isEqual:(id)object;
- (unsigned)hash;
@end
