/* Order.h created by benhur on 20-mar-2001 */

#import <AppKit/AppKit.h>
#import "../General.bproj/FilteredEnumerator.h"
#import "../General.bproj/Protocols.h"
#import "../General.bproj/PajeFilter.h"
#import "../General.bproj/HierarchyBrowser.h"

@interface Order : PajeFilter
{
    NSMutableDictionary *containers;
    IBOutlet id view;
    IBOutlet NSView *browserBox;
    HierarchyBrowser *hierarchyBrowser;
}

- (id)init;
- (void)dealloc;

//
// Handle interface messages
//
- (void)selectAll:(id)sender;
- (void)unselectAll:(id)sender;

//
// Queries that are filtered
//
- (NSEnumerator *)enumeratorOfEntityType:(PajeEntityType *)entityType
                             inContainer:(PajeContainer *)container;

@end
