// PajeCheckPoint.m

// 19980211 BS creation

#import "PajeCheckPoint.h"

@implementation PajeCheckPoint
+ (PajeCheckPoint *)checkPointWithTime:(NSDate *)t fileName:(NSString *)f
{
    return [[[self alloc] initWithTime:t fileName:f] autorelease];
}

- (id)initWithTime:(NSDate *)t fileName:(NSString *)f
{
    self = [super init];
    time = [t retain];
    fileName = [f retain];
    return self;
}

- (void)dealloc
{
    [time release];
    [fileName release];
    [super dealloc];
}

- (NSDate *)time
{
    return time;
}

- (NSString *)fileName
{
    return fileName;
}

- (unsigned int)hash
{
    return [time hash];
}

- (BOOL)isEqual:(id)anObject
{
    if (self == anObject)
        return YES;
    if ([anObject isKindOfClass:[PajeCheckPoint class]])
        return [time isEqual:[anObject time]];
    return [time isEqual:anObject];
}
@end
