
#import <AppKit/AppKit.h>
#import "../General.bproj/PSortedArray.h"

#ifdef GNUSTEP
#define IBOutlet  
#endif

@interface PajeController:NSObject
{
    id reader;
    id components;
    NSMutableArray *filterViews;
    NSMutableArray *filterDelegates;
    
    IBOutlet NSWindow *filtersWindow;
    IBOutlet NSPopUpButton *filtersPopUp;
    IBOutlet NSBox *filtersDummyView;
    IBOutlet NSMenu *filtersMenu;
    IBOutlet NSMenu *toolsMenu;

    PSortedArray *checkPoints;
}

- (void)filterChanged:(id)sender;
- (void)filterMenuSelected:(id)sender;
- (void)registerFilter:(NSNotification *)notification;
- (void)registerTool:(NSNotification *)notification;

- (void)print:(id)sender;
- (void)open:(id)sender;
- (void)readOne:(id)sender;
- (void)readAll:(id)sender;

- (void)writeCheckPoint;
@end

@interface NSObject (PajeFilterDelegate)
- (void)viewWillBeSelected:(NSView *)view;
@end
