#import <AppKit/AppKit.h>
#import "DrawView.h"

@interface ProcRuler : NSRulerView
{
}

- (id)initWithScrollView:(NSScrollView *)scrollView;
- (void)drawHashMarksAndLabelsInRect:(NSRect)drawRect;
- (void)drawTree:(MiscTree *)tree
          inRect:(NSRect)drawRect
           level:(int)level
           width:(float)width
          offset:(float)offset;
- (void)drawInstancesOfDescriptor:(STEntityDescriptor *)edesc
                           inRect:(NSRect)drawRect
                            level:(int)level
                            width:(float)width
                           offset:(float)offset;
- (void)drawInstance:(id)instance
              ofTree:(MiscTree *)tree
              inRect:(NSRect)drawRect
               level:(int)level
               width:(float)width
              offset:(float)offset;
- (void)drawContainer:(PajeContainer *)container
               ofTree:(MiscTree *)tree
               inRect:(NSRect)drawRect
                level:(int)level
                width:(float)width
               offset:(float)offset;
@end
