/* VTService.h created by benhur on Thu 21-Aug-1997 */

#import <Foundation/Foundation.h>

@interface VTService : NSObject
{
    int threadCount;
    int firstSlot;
    NSMutableData *slotsInUse;
    NSMutableDictionary *threadToSlot;
    BOOL collapsed;
}

+ (VTService *)serviceWithFirstSlot:(int)value;
- (id)initWithFirstSlot:(int)value;
- (BOOL)startThread:(id)threadId;
- (void)endThread:(id)threadId;
- (void)incrementFirstSlot;
- (void)setFirstSlot:(int)value;
- (int)slotForThread:(id)threadId;

@end
