//

typedef enum {
    NO_FILTERING     = 0,
    REUSE_SLOTS      = 1,
    COLLAPSE_SERVICE = 2,
    COLLAPSE_NODE    = 3,
} filterType;  // these must be the same as the choices in filteringModeSelector
               // in the interface file.

#import <AppKit/AppKit.h>
//#import <Eve/Eve.h>
#import "VTNode.h"
#import "VTService.h"
#import "../General.bproj/PajeFilter.h"

@interface VirtualThread: PajeFilter
{
    IBOutlet id          view;              // view in the inspector window
    IBOutlet id          nodeSelector;
    IBOutlet id          filteringModeSelector;
    filterType           defaultFilteringMode;
    NSMutableDictionary *entityTypeToContainers;
    NSMutableDictionary *containerToNewContainer;
}

- (id)init;
- (void)dealloc;

- (IBAction)changeSelectedNode:(id)sender;
- (IBAction)changeFilteringMode:(id)sender;

@end
